# 63. Mutace: Uložit organizaci

Mutace pro přidání nebo úpravu "Organizace". "Uživatel", který odeslal požadavek saveOrganization, bude vlastníkem "Organizace".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Název organizace"
      surname: "Příjmení vlastníka"
      givenName: "Křestní jméno vlastníka"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    název
    příjmení
    jméno
    email
    telefon
    datumVytvoření
    updatedDate
  }
}
```

{% endcode %}

Chcete‑li upravit existující "Organizaci", přidejte do požadavku atribut uuid.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Nový název organizace"
      surname: "Příjmení vlastníka"
      givenName: "Křestní jméno vlastníka"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    název
    příjmení
    jméno
    email
    telefon
    datumVytvoření
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/63.-mutace-ulozit-organizaci.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
